TON CenterV3Nfts
applications/api/toncenter/v3/nfts/get-nft-items
Query Parameters
address?array<string>
NFT item address in any form. Max: 1000.
owner_address?array<string>
Address of NFT item owner in any form. Max: 1000.
collection_address?array<string>
Collection address in any form.
index?array<string>
Index of item for given collection. Max: 1000.
include_on_sale?boolean
Include nft on sales and auctions. Used only when owner_address is passed
Default
falsesort_by_last_transaction_lt?boolean
Sort NFT items by last transaction lt descending. Warning: results may be inconsistent during pagination with limit and offset.
limit?integer
Limit number of queried rows. Use with offset to batch read.
Default
10Format
int32Range
1 <= value <= 1000offset?integer
Skip first N rows. Use with limit to batch read.
Default
0Format
int32Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v3/nft/items"{
"address_book": {
"property1": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
},
"property2": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
}
},
"metadata": {
"property1": {
"is_indexed": true,
"token_info": [
{
"description": "string",
"extra": {},
"image": "string",
"name": "string",
"nft_index": "string",
"symbol": "string",
"type": "string",
"valid": true
}
]
},
"property2": {
"is_indexed": true,
"token_info": [
{
"description": "string",
"extra": {},
"image": "string",
"name": "string",
"nft_index": "string",
"symbol": "string",
"type": "string",
"valid": true
}
]
}
},
"nft_items": [
{
"address": "string",
"auction_contract_address": "string",
"code_hash": "string",
"collection": {
"address": "string",
"code_hash": "string",
"collection_content": {},
"data_hash": "string",
"last_transaction_lt": "0",
"next_item_index": "string",
"owner_address": "string"
},
"collection_address": "string",
"content": {},
"data_hash": "string",
"index": "string",
"init": true,
"last_transaction_lt": "0",
"on_sale": true,
"owner_address": "string",
"real_owner": "string",
"sale_contract_address": "string"
}
]
}{
"code": 0,
"error": "string"
}Last updated on